#------------------------------------------------------------------------------------------------
# Permission to use, copy, modify, and distribute this software for 
# any purpose and without fee is hereby granted.
#------------------------------------------------------------------------------------------------
# THIS SOFTWARE IS PROVIDED "AS IS" AND WITHOUT ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING,
# WITHOUT LIMITATION, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
#------------------------------------------------------------------------------------------------
# THIS PLUGIN IS ANOTHER FIGMENT OF MY IMAGENATION AND IS NOT BASED ON OR COMPLY WITH ANYTHING! 
#------------------------------------------------------------------------------------------------
# IT WAS CREATED AND ONLY TESTED IN A WINDOWS ENVIRONMENT AND MAY NOT FUNCTION ON A MAC.
#------------------------------------------------------------------------------------------------
#    Name:	Guide Point to Component
#      By:	sdmitch
#   Usage:	Plugins>SDM Tools>CorG Tool>Guide Point to Component
#		 Note:	
#			
#    Date:	
#------------------------------------------------------------------------------------------------
require 'Sketchup'
# ------------------  MENU SETUP ---------------------- #
unless $sdm_tools_menu
	$sdm_tools_menu = UI.menu("Plugins").add_submenu("SDM Tools")
	$sdm_Edge_tools = $sdm_tools_menu.add_submenu("Edge Tool")
	$sdm_Face_tools = $sdm_tools_menu.add_submenu("Face Tool")
	$sdm_CorG_tools = $sdm_tools_menu.add_submenu("CorG Tool")
	$sdm_Misc_tools = $sdm_tools_menu.add_submenu("Misc Tool")
end
unless file_loaded?(__FILE__)
	$sdm_CorG_tools.add_item("Guide Point to Component") { SDM::Guide_Point_to_Component.main }
	
	UI.add_context_menu_handler do |menu|
		if Sketchup.active_model.selection.first.is_a?(Sketchup::ConstructionPoint)
			menu.add_separator
			menu.add_item('Guide Point to Component') { SDM::Guide_Point_to_Component.main }
		end
	end

	file_loaded(__FILE__)
end
# ------------------------------------------------------ #
module SDM

	module Guide_Point_to_Component

		def self.main
			Sketchup.active_model.start_operation "Guide Point to Component"
			#
			cps = Sketchup.active_model.selection.grep(Sketchup::ConstructionPoint)
			cps.each{|cp|
				grp = Sketchup.active_model.active_entities.add_group(cp)
				grp.to_component
			}
			#
			Sketchup.active_model.commit_operation
		end
	end
end


